linux-kselftest.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
* [PATCH] selftests: kmod: Fix typo in kmod.sh
@ 2019-07-23 10:22 Masanari Iida
  2019-07-23 15:44 ` Randy Dunlap
  0 siblings, 1 reply; 2+ messages in thread
From: Masanari Iida @ 2019-07-23 10:22 UTC (permalink / raw)
  To: linux-kernel, shuah, rdunlap, linux-kselftest; +Cc: Masanari Iida

This patch fixes some spelling typos in kmod.sh

Signed-off-by: Masanari Iida <standby24x7@gmail.com>
---
 tools/testing/selftests/kmod/kmod.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tools/testing/selftests/kmod/kmod.sh b/tools/testing/selftests/kmod/kmod.sh
index 0a76314b4414..8b944cf042f6 100755
--- a/tools/testing/selftests/kmod/kmod.sh
+++ b/tools/testing/selftests/kmod/kmod.sh
@@ -28,7 +28,7 @@
 # override by exporting to your environment prior running this script.
 # For instance this script assumes you do not have xfs loaded upon boot.
 # If this is false, export DEFAULT_KMOD_FS="ext4" prior to running this
-# script if the filesyste module you don't have loaded upon bootup
+# script if the filesystem module you don't have loaded upon bootup
 # is ext4 instead. Refer to allow_user_defaults() for a list of user
 # override variables possible.
 #
@@ -263,7 +263,7 @@ config_get_test_result()
 config_reset()
 {
 	if ! echo -n "1" >"$DIR"/reset; then
-		echo "$0: reset shuld have worked" >&2
+		echo "$0: reset should have worked" >&2
 		exit 1
 	fi
 }
@@ -488,7 +488,7 @@ usage()
 	echo Example uses:
 	echo
 	echo "${TEST_NAME}.sh		-- executes all tests"
-	echo "${TEST_NAME}.sh -t 0008	-- Executes test ID 0008 number of times is recomended"
+	echo "${TEST_NAME}.sh -t 0008	-- Executes test ID 0008 number of times is recommended"
 	echo "${TEST_NAME}.sh -w 0008	-- Watch test ID 0008 run until an error occurs"
 	echo "${TEST_NAME}.sh -s 0008	-- Run test ID 0008 once"
 	echo "${TEST_NAME}.sh -c 0008 3	-- Run test ID 0008 three times"
-- 
2.22.0.545.g9c9b961d7eb1


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [PATCH] selftests: kmod: Fix typo in kmod.sh
  2019-07-23 10:22 [PATCH] selftests: kmod: Fix typo in kmod.sh Masanari Iida
@ 2019-07-23 15:44 ` Randy Dunlap
  0 siblings, 0 replies; 2+ messages in thread
From: Randy Dunlap @ 2019-07-23 15:44 UTC (permalink / raw)
  To: Masanari Iida, linux-kernel, shuah, linux-kselftest

On 7/23/19 3:22 AM, Masanari Iida wrote:
> This patch fixes some spelling typos in kmod.sh
> 
> Signed-off-by: Masanari Iida <standby24x7@gmail.com>

Acked-by: Randy Dunlap <rdunlap@infradead.org>

Thanks.

> ---
>  tools/testing/selftests/kmod/kmod.sh | 6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)
> 
> diff --git a/tools/testing/selftests/kmod/kmod.sh b/tools/testing/selftests/kmod/kmod.sh
> index 0a76314b4414..8b944cf042f6 100755
> --- a/tools/testing/selftests/kmod/kmod.sh
> +++ b/tools/testing/selftests/kmod/kmod.sh
> @@ -28,7 +28,7 @@
>  # override by exporting to your environment prior running this script.
>  # For instance this script assumes you do not have xfs loaded upon boot.
>  # If this is false, export DEFAULT_KMOD_FS="ext4" prior to running this
> -# script if the filesyste module you don't have loaded upon bootup
> +# script if the filesystem module you don't have loaded upon bootup
>  # is ext4 instead. Refer to allow_user_defaults() for a list of user
>  # override variables possible.
>  #
> @@ -263,7 +263,7 @@ config_get_test_result()
>  config_reset()
>  {
>  	if ! echo -n "1" >"$DIR"/reset; then
> -		echo "$0: reset shuld have worked" >&2
> +		echo "$0: reset should have worked" >&2
>  		exit 1
>  	fi
>  }
> @@ -488,7 +488,7 @@ usage()
>  	echo Example uses:
>  	echo
>  	echo "${TEST_NAME}.sh		-- executes all tests"
> -	echo "${TEST_NAME}.sh -t 0008	-- Executes test ID 0008 number of times is recomended"
> +	echo "${TEST_NAME}.sh -t 0008	-- Executes test ID 0008 number of times is recommended"
>  	echo "${TEST_NAME}.sh -w 0008	-- Watch test ID 0008 run until an error occurs"
>  	echo "${TEST_NAME}.sh -s 0008	-- Run test ID 0008 once"
>  	echo "${TEST_NAME}.sh -c 0008 3	-- Run test ID 0008 three times"
> 


-- 
~Randy

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2019-07-23 15:44 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-07-23 10:22 [PATCH] selftests: kmod: Fix typo in kmod.sh Masanari Iida
2019-07-23 15:44 ` Randy Dunlap

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).